using System;
using System.IO;
using Quik.Media.Color;

namespace Quik.Media.Stb
{
    public class QFontStbtt : QFont
    {
        public override FontInfo Info => throw new NotImplementedException();

        public QFontStbtt(Stream source)
        {
            
        }

        public override QGlyphMetrics[] GetMetricsForPage(int codepage)
        {
            throw new NotImplementedException();
        }

        public override QGlyphMetrics GetMetricsForRune(int rune)
        {
            throw new NotImplementedException();
        }

        public override bool HasRune(int rune)
        {
            throw new NotImplementedException();
        }

        public override QImage RenderPage(int codepage, float resolution, bool sdf)
        {
            throw new NotImplementedException();
        }
    }
}